Loading...
Searching...
No Matches
ArgParser::RefType Class Reference

## Detailed Description

This is the type of the return value of ArgParser::operator[](). It automatically converts to `int`, `double`, `bool` or `std::string` if the type of the option matches, which is checked with an assertion (i.e. it performs runtime type checking).

`#include <lemon/arg_parser.h>`

## Public Member Functions

| RefType (const ArgParser &p, const std::string &n)
| operator bool ()
| operator std::string ()
| operator double ()
| operator int ()